Sign in
Categories
Your Saved List Partners Sell in AWS Marketplace Amazon Web Services Home Help

Kali Linux (Retired Image)

Kali Linux | 1.0.6*

Linux/Unix, Other 1.0.6 - 64-bit Amazon Machine Image (AMI)

Reviews from AWS Marketplace

19 AWS reviews

2-star reviews ( Show all reviews )

    uslex "uslex"

Includes none of the Kali packages

  • April 17, 2015
  • Review verified by AWS Marketplace

Perhaps it was obvious to others, but not to me, that this image has none of the pen test, exploit, vulnerability scan, etc packages that you would expect to find as part of Kali. That would be OK if it were a simple matter to load those packages. But it is not. This ami isn't up to the task. After hours of searching, I discovered that the /etc/apt/sources.list is out of date and needs to be updated. I found the solution, but not from Offensive Security. Their support appears to be minimal at best. I'm impressed with Kali (and Amazon AWS EC2), but not Offensive Security.

Follow the instructions here to get it working:
http://hackaholic.info/Kali-update-and-upgrade-error-fixed/

Then install one of the meta packages found here:
https://www.kali.org/news/kali-linux-meta packages/

Be sure to follow the Amazon pen testing guidelines found here:
http://AWS.amazon.com/security/penetration-testing/


    anthony nena

Free Tier - Not enough memory for Metasploit

  • April 06, 2015
  • Review verified by AWS Marketplace

Can't run Metasploit on the free tiers that are available. Would be 5 stars, but I consider Metasploit a staple for Kali. Nonetheless, I appreciate the hard work by the Offensive Security guys.

UPDATE:
Well I haven't heard anything back from OffSec as a solution for this issue, but I did find a fix by enabling Memory Swapping.

sudo /bin/dd if=/dev/zero of=/var/swap.1 bs=1M count=1024
sudo /sbin/mkswap /var/swap.1
sudo /sbin/swapon /var/swap.1

Add the following line to /etc/fstab
/var/swap.1 swap swap defaults 0 0

Reboot and you are good and you are welcome.


showing 1 - 2